View Issue Details

IDProjectCategoryView StatusLast Update
0000570OpenMPT[All Projects] Generalpublic2017-09-21 12:29
ReportermanxAssigned Tomanx 
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionOpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)Fixed in VersionOpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first) 
Summary0000570: OpenMPT UNICODE build
Description

Build OpenMPT as a native Win32 UNICODE application using the unicode MFC libraries.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Relationships

parent of 0000164 resolvedmanx Problems with unicode path / file names 
parent of 0000861 closedSaga Musix PortMIDI is incompatible with UNICODE 
parent of 0000848 resolvedmanx Build external libraries with UNICODE 
related to 0000569 assignedmanx Unicode strings in CSoundFile. 
related to 0001027 assignedmanx Remove various WCHAR hacks for !UNICODE 
child of 0000783 new cross-platform OpenMPT 

Activities

manx

manx

2017-07-10 07:48

administrator   ~0003096

As of r8489 , OpenMPT now builds with UNICODE. It has not yet been tested and there are certainly still bugs that the compiler cannot catch.

Saga Musix

Saga Musix

2017-07-12 23:59

administrator   ~0003099

So far, UNICODE builds seem to be running fine. I suggest to enable UNICODE by default very soon. We might even go as far as enabling it for 1.27.01.00, but that remains to be seen.

manx

manx

2017-07-13 06:54

administrator   ~0003101

I also tend to do Unicode builds for 1.27.01.00. The sooner we do that, the sooner we can start to remove all kinds of custom Unicode extensions to MFC and the Path-in-CString hacks (in this case, we can start doing that in 1.28.00.00).

Longer term, I'd like to see all explicit WinAPI Ansi/Unicode calls be removed (i.e. downgrading a possible Ansi build to strictly only support ANSI locale strings again). I do not think anything would be gained from breaking ANSI builds (at least as long as Microsoft still supports them in the SDK).

manx

manx

2017-07-13 07:50

administrator   ~0003102

OpenMPT 1.27.00.54 r8518 now is Unicode by default.

Issue History

Date Modified Username Field Change
2014-08-14 11:02 manx New Issue
2014-08-14 11:02 manx Status new => assigned
2014-08-14 11:02 manx Assigned To => manx
2014-08-16 15:28 Saga Musix Relationship added parent of 0000164
2014-08-19 08:00 manx Relationship added parent of 0000569
2016-05-09 09:31 manx Relationship added child of 0000783
2016-08-12 14:33 manx Relationship added parent of 0000861
2016-08-29 10:00 manx Relationship added parent of 0000848
2017-07-10 07:48 manx Note Added: 0003096
2017-07-12 23:59 Saga Musix Note Added: 0003099
2017-07-13 06:54 manx Note Added: 0003101
2017-07-13 07:47 manx Target Version OpenMPT 1.?? (long term goals) => OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)
2017-07-13 07:50 manx Note Added: 0003102
2017-08-22 12:22 manx Relationship replaced related to 0000569
2017-09-12 12:59 Saga Musix Status assigned => resolved
2017-09-12 12:59 Saga Musix Resolution open => fixed
2017-09-12 12:59 Saga Musix Fixed in Version => OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)
2017-09-21 12:29 manx Relationship added related to 0001027